Create Company

Creates a new Company account. This endpoint also creates a Company user account for the administrator of the business. If you have configured required information fields in your store’s Extra Fields settings for Company accounts or Company users, you must include the field’s name and value in the `extraFields` array of the request body. For more information on extra fields, see [B2B Edition Settings](https://support.bigcommerce.com/s/article/B2B-Edition-Settings) in the Help Center. After you have created a new Company account, you can configure all of its features and settings by using the [Update a Company](#update-a-company) endpoint. ### Independent vs Dependent Companies Behavior When [Independent Company behavior](https://support.bigcommerce.com/s/article/Companies-and-Customer-Groups) is enabled on your store, the system will not automatically create a dedicated customer group for each new Company account. Instead, you can assign a customer group to a Company account as needed using the `customerGroupId` field. If the `customerGroupId` field is not included in the request body, the Company account will be assigned to your configured default customer group. If you have not configured a default customer group or set the value of `customerGroupId` to `0`, the Company account will not be associated with any customer group, and its users will use your storefront’s default catalog visibility and pricing. If your store is using legacy Dependent Company behavior, a new customer group will be automatically created and associated with each new Company account. In this case, you will not use the `customerGroupId` field.

Authentication

X-Auth-Tokenstring
### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
OR
X-Store-Hashstring
### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Store-Hash` | `store_hash` | The unique store hash associated with a BigCommerce store that has B2B Edition enabled. |

Request

This endpoint expects an object.
companyNamestringRequired>=1 character
acceptCreationEmailbooleanOptionalDefaults to false

Indicates whether or not the administrator receives a welcome email when the Company account is created.

true: Sends the welcome email to the admin user

false: Does not send the email

addressstringOptional
The first line of the address.
adminEmailstringOptionalformat: "email"1-100 characters

The email address of the Company account administrator. If an existing BigCommerce customer account uses this email address, it is automatically linked to the administrator’s Company user account.

adminFirstNamestringOptional1-100 characters
The first name of the Company account administrator.
adminLastNamestringOptional1-100 characters
The last name of the Company account administrator.
adminPhoneNumberstringOptional1-100 characters
The phone number of the Company account administrator.
apartmentstringOptional
The second line of the address.
catalogIdintegerOptional
The ID of the price list assigned to the Company account. This field is read-only for stores using [Independent Companies Behavior](/developer/api-reference/rest/b2b/management/companies#independent-vs-dependent-companies-behavior). If your store uses legacy Dependent Companies behavior **and** it does not have Multi-Storefront enabled, this field is **required** for creating new Company accounts. If your store has Multi-Storefront enabled, use the `priceListAssign` array instead.
channelIdslist of integersOptional

The storefront channel IDs in which buyers can access their Company’s Buyer Portal. Use 1 for your store’s default storefront channel.

citystringOptional1-100 characters
The city of the primary address for the Company account.
companyEmailstringOptionalformat: "email"1-200 characters
The primary email address for the Company account.
companyPhonestringOptional<=50 characters
The primary phone number for the Company account.
countrystringOptional1-200 characters
The country of the primary address for the Company account. This must be either the full name or the ISO2 country code.
customerGroupIdintegerOptional

The ID of the BigCommerce customer group assigned to the Company account. This field can be static or configurable depending on whether or not your store uses Independent Companies behavior. See Independent Companies Behavior for more information.

extraFieldslist of objectsOptional
originChannelIdintegerOptional

The storefront channel ID designated as the origin for the Company administrator. Use 1 for your store’s default storefront channel.

statestringOptional1-50 characters
The state of the primary address for the Company account, if applicable. This must be the full name and not an abbreviation.
userExtraFieldslist of objectsOptional
zipCodestringOptional
The postal code on the address.

Response

Created
codeinteger
dataobject
metaobject

Errors

400
Bad Request Error
422
Unprocessable Entity Error